---
license: apache-2.0
tags:
- vision
- depth-estimation
- generated_from_trainer
model-index:
- name: glpn-nyu-finetuned-diode
  results: []
---

<!-- This model card has been generated automatically according to the information the Trainer had access to. You
should probably proofread and complete it, then remove this comment. -->

# glpn-nyu-finetuned-diode

This model is a fine-tuned version of [vinvino02/glpn-nyu](https://huggingface.co/vinvino02/glpn-nyu) on the diode-subset dataset.
It achieves the following results on the evaluation set:
- Loss: 0.4359
- Rmse: 0.4276

## Model description

More information needed

## Intended uses & limitations

More information needed

## Training and evaluation data

More information needed

## Training procedure

### Training hyperparameters

The following hyperparameters were used during training:
- learning_rate: 2e-05
- train_batch_size: 24
- eval_batch_size: 24
- seed: 42
- optimizer: Adam with betas=(0.9,0.999) and epsilon=1e-08
- lr_scheduler_type: linear
- lr_scheduler_warmup_ratio: 0.1
- num_epochs: 10
- mixed_precision_training: Native AMP

### Training results

| Training Loss | Epoch | Step | Validation Loss | Rmse   |
|:-------------:|:-----:|:----:|:---------------:|:------:|
| No log        | 1.0   | 13   | 1.2498          | 0.9726 |
| 0.8469        | 2.0   | 26   | 1.0661          | nan    |
| 0.8469        | 3.0   | 39   | 0.9959          | 0.5287 |
| 0.6946        | 4.0   | 52   | 0.8550          | 0.4084 |
| 0.586         | 5.0   | 65   | 0.7679          | 0.3603 |
| 0.586         | 6.0   | 78   | 0.6650          | 0.3119 |
| 0.5195        | 7.0   | 91   | 0.6837          | 0.3370 |
| 0.4737        | 8.0   | 104  | 0.6638          | 0.3366 |
| 0.4737        | 9.0   | 117  | 0.6522          | 0.3250 |
| 0.4663        | 10.0  | 130  | 0.6461          | 0.3153 |


### Framework versions

- Transformers 4.24.0
- Pytorch 1.12.1+cu113
- Tokenizers 0.13.2
